package com.example.aped.ui.your_IOs;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;

import com.example.aped.R;

public class YourIOsFragment extends Fragment {
    /**Azeige Modell.*/
    private YourIOsViewModel yourIOsViewModel;

    /**
     *
     * @param inflater
     * @param container
     * @param savedInstanceState
     * @return root
     */
    public View onCreateView(final @NonNull LayoutInflater inflater,
                             final ViewGroup container,
                                 final Bundle savedInstanceState) {
        yourIOsViewModel =
                new ViewModelProvider(this).get(YourIOsViewModel.class);
        View root = inflater.inflate(R.layout.fragment_your_ios, container,
                                        false);
        final TextView textView = root.findViewById(R.id.text_your_IOs);
        yourIOsViewModel.getText().observe(getViewLifecycleOwner(),
                                                new Observer<String>() {
            @Override
            public void onChanged(final @Nullable String s) {
                textView.setText(s);
            }
        });
        return root;
    }
}
