package com.example.aped.utils;

import java.util.ArrayList;
import java.util.List;

/**
 * implementation for the favorites interface
 * does not use persistent storage!
 */
public class TestFavorites implements IFAVORITES {

    private List<String> favorites = new ArrayList<>();

    @Override
    public List<String> getFavorites() {
        return favorites;
    }

    @Override
    public String addFavorite(String deviceName) {
        if (!favorites.contains(deviceName)) {
          favorites.add(deviceName);
        }
        return deviceName;
    }

    @Override
    public String removeFavorite(String deviceName) {
        if (favorites.contains(deviceName)) {
           favorites.remove(deviceName);
        }
        return deviceName;
    }
}
