package com.example.aped.utils;


import java.util.ArrayList;
import java.util.Dictionary;
import java.util.Hashtable;
import java.util.List;

public class TestXML implements IXML {

    @Override
    public List<String> getDeviceNames() {
        List<String> returnList = new ArrayList<>();
        returnList.add("stoff");
        returnList.add("schnaps");
        returnList.add("whatever");
        return returnList;
    }

    @Override
    public Dictionary<String, Object> getValueInfo(String deviceName) {
        Dictionary<String, Object> returnDict = new Hashtable<>();
        returnDict.put("type", "boolean");
        returnDict.put("unit", "");
        returnDict.put("Offset", 1.0);
        returnDict.put("Factor", 1.0);
        return returnDict;
    }

    @Override
    public Dictionary<String, Object> getPort(String deviceName) {
        Dictionary<String, Object> returnDict = new Hashtable<>();
        returnDict.put("protocol", "DI");
        Dictionary<String, Object> pins = new Hashtable<>();
        pins.put("GPIO2", true);
        pins.put("GPIO3", false);
        returnDict.put("pins", pins);
        return returnDict;
    }
}
